From e83cc07d7b88e576975652f0d0fab083ff2a72d6 Mon Sep 17 00:00:00 2001
From: BlackNoxis <steven.darklight@gmail.com>
Date: Sat, 17 Jan 2015 14:25:50 +0200
Subject: Replaced -9999 ebuild

---
 app-editors/atom/atom-9999.ebuild | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

diff --git a/app-editors/atom/atom-9999.ebuild b/app-editors/atom/atom-9999.ebuild
index a86a95ae..a0a16889 100644
--- a/app-editors/atom/atom-9999.ebuild
+++ b/app-editors/atom/atom-9999.ebuild
@@ -2,10 +2,10 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-EAPI="5"
+EAPI=5
 
 PYTHON_COMPAT=( python2_7 )
-inherit git-r3 flag-o-matic python-any-r1 eutils
+inherit git-2 flag-o-matic python-any-r1 eutils
 
 DESCRIPTION="A hackable text editor for the 21st Century"
 HOMEPAGE="https://atom.io"
@@ -27,15 +27,15 @@ IUSE=""
 
 DEPEND="
 	${PYTHON_DEPS}
-	dev-util/atom-shell:0/20
-	>=net-libs/nodejs-0.10.30[npm]
+	>=dev-util/atom-shell-0.19.2
+        >=virtual/nodejs-1
 	media-fonts/inconsolata
 "
-
 RDEPEND="${DEPEND}"
 
-QA_PRESTRIPPED="/usr/share/atom/resources/app/node_modules/symbols-view/vendor/ctags-linux"
-
+QA_PRESTRIPPED="
+	/usr/share/atom/node_modules/symbols-view/vendor/ctags-linux
+"
 pkg_setup() {
 	python-any-r1_pkg_setup
 
@@ -43,35 +43,33 @@ pkg_setup() {
 }
 
 src_unpack() {
-	git-r3_src_unpack
+	git-2_src_unpack
 }
 
 src_prepare() {
 	# Skip atom-shell download
 	sed -i -e "s/defaultTasks = \['download-atom-shell', /defaultTasks = [/g" \
-		./build/Gruntfile.coffee \
-		|| die "Failed to fix Gruntfile"
+          ./build/Gruntfile.coffee \
+          || die "Failed to fix Gruntfile"
 
 	# Skip atom-shell copy
 	epatch "${FILESDIR}/0002-skip-atom-shell-copy.patch"
 
 	# Fix atom location guessing
 	sed -i -e 's/ATOM_PATH="$USR_DIRECTORY\/share\/atom/ATOM_PATH="$USR_DIRECTORY\/../g' \
-		./atom.sh \
-		|| die "Fail fixing atom-shell directory"
+          ./atom.sh \
+          || die "Fail fixing atom-shell directory"
 }
 
 src_compile() {
 	./script/build --verbose --build-dir "${T}" || die "Failed to compile"
 
 	"${T}/Atom/resources/app/apm/node_modules/atom-package-manager/bin/apm" rebuild || die "Failed to rebuild native module"
-
-	# Setup python path to builtin npm
-	echo "python = $PYTHON" >> "${T}/Atom/resources/app/apm/node_modules/atom-package-manager/.apmrc"
 }
 
 src_install() {
-	into /usr
+
+	into	/usr
 
 	insinto /usr/share/applications
 
@@ -89,7 +87,8 @@ src_install() {
 	fperms +x /usr/share/${PN}/resources/app/atom.sh
 	fperms +x /usr/share/${PN}/resources/app/apm/node_modules/.bin/apm
 	fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/bin/node
-	fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/node-gyp-bin/node-gyp
+        fperms +x /usr/share/${PN}/resources/app/node_modules/symbols-view/vendor/ctags-linux
+        fperms +x /usr/share/${PN}/resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/node-gyp-bin/node-gyp
 
 	# Symlinking to /usr/bin
 	dosym ../share/${PN}/resources/app/atom.sh /usr/bin/atom
-- 
cgit v1.2.3